aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xbin/backup4
1 files changed, 2 insertions, 2 deletions
diff --git a/bin/backup b/bin/backup
index be7d996..4e95ed8 100755
--- a/bin/backup
+++ b/bin/backup
@@ -92,6 +92,7 @@ ARCHIVE_TAG="${1:-manual}"
run() {
+ STATUS=0
set -x
# The contents of $VERBOSE_FLAGS doesn't involve user input:
# shellcheck disable=2086
@@ -103,8 +104,7 @@ run() {
--stats \
--compression lzma,9 \
"::{hostname}-{now}-$ARCHIVE_TAG" \
- ~/
- STATUS=$?
+ ~/ || STATUS=$?
set +x
if [ "$STATUS" = 0 ]; then